Ubuntu

8086:2a42 [Intel GM45] Irregular sync flashes (Needs i915.powersave quirk)

Reported by Russel Winder on 2010-03-14
478
This bug affects 90 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
Medium
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by Alan
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned
Nominated for Lucid by Alan

Bug Description

[Status]
Fixed in maverick
Not fixed in lucid (bug still seen on 2010-09-22 with kernel 2.6.32-25)

[Workaround]
As workaround add the option i915.powersave=0 to the kernel command line in the grub config (for GRUB 2: edit /etc/default/grub and add i915.powersave=0 to GRUB_CMDLINE_LINUX, then run sudo update-grub; for GRUB 1: edit /boot/grub/menu.lst and add i915.powersave=0 to the end of the line beginning with # kopt=, then run sudo update-grub).

[Alternative workaround for experts]
Compile your kernel with Andy Whitcroft's patch from http://people.canonical.com/~apw/lp538648-lucid/ (see comment #92).

[Report]
Binary package hint: xserver-xorg

When I first installed Lucid on my T500 I believe everything seemd to be fine with the display. Recently though the screen has started giving flashes -- as though there was some form of sync problem for the display. The flashes are of irregular frequency and occurrence. I haven't yet seen any pattern to the behaviour. They are however exceptionally annoying.

I believe I am using the Intel chipset graphics device -- I am not actually aware of how to switch to using the alternate graphics hardware, but I am told it is not worth bothering with, so I haven't.

I am using the Compiz window manager so I guess the problem could be there rather than with Xorg.

There is no xorg.conf file so there is no overide of the default behaviour.

I am not sure what programs to run to give useful output for this problem. I have attached the current Xorg log file.
---
Architecture: amd64
DistroRelease: Ubuntu 10.04
DkmsStatus:
 virtualbox-ose, 3.1.4, 2.6.32-17-generic, x86_64: installed
 virtualbox-ose, 3.1.4, 2.6.32-16-generic, x86_64: installed
 virtualbox-ose-guest, 3.1.4, 2.6.32-17-generic, x86_64: installed
 virtualbox-ose-guest, 3.1.4, 2.6.32-16-generic, x86_64: installed
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
MachineType: LENOVO 20827SG
Package: xserver-xorg-video-intel 2:2.9.1-1ubuntu16
PackageArchitecture: amd64
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=d075e3b9-f26d-4896-9983-4afe962b115a ro quiet splash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
Tags: lucid lucid
Uname: Linux 2.6.32-17-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 01/09/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 6FET56WW (2.02 )
dmi.board.name: 20827SG
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6FET56WW(2.02):bd01/09/2009:svnLENOVO:pn20827SG:pvrThinkPadT500:rvnLENOVO:rn20827SG:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20827SG
dmi.product.version: ThinkPad T500
dmi.sys.vendor: LENOVO
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-17-generic

[lspci]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
 Subsystem: Lenovo Device [17aa:2114]

Russel Winder (russel) wrote :
Bryce Harrington (bryce) on 2010-03-14
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Jason J. Herne (hernejj) wrote :

I am experiencing the exact same problem on my Lenovo Thinkpad W500. My video card is the ATI Mobility Radeon HD 3650 hardware, however. I am also getting white (frequent but not constant) horizontal lines appearing and disappearing randomly all over the display.

I'm guessing this could be a Linux Kernel (KMS) problem, or an X-org problem, or a video driver problem. I will hold off on attaching a massive amount of log data and hardware info someone with a little more knowledge in these areas can tell me what would be most useful. :)

I can provide a video of this problem if it would help troubleshoot.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Jason J. Herne (hernejj) wrote :

Be aware, this *might* be a dupe of
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/538344

538344 suggests booting with "nomodeset".

Jason J. Herne (hernejj) wrote :

Adding nomodeset to the kernel parameters seems to have fixed this for me.

Probably best not to mark this as a dupe of 538344 just yet since Russel reports he is seeing it with an Intel card...?

538344 does mention that kernel 2.6.34 pre rc1 seems to fix the problem. Maybe Russel could test with that kernel to see if the problem goes away?

Bryce Harrington (bryce) on 2010-03-18
tags: added: lucid
Chris Jones (cmsj) wrote :

I've just marked bug #534894 as a dupe of this one, since that too is filed against the intel package and describes infrequent flickering that is comprised of extremely brief corruption of part of the screen. I think we're also all running fairly recent Intel chips.
To quickly re-mention a comment I added to the dupe bug:

[09:18] < Sarvatt> tell them to boot with i915.powersave=0 and mention in the bug if that fixes it :)
[09:18] < Sarvatt> that was default in -15 but not anymore in -16

Ivanka Majic (ivanka) wrote :

I have this same problem on my Lenovo Ideapad U350

Jonathan Davies (jpds) wrote :

I'm experiencing this issue on my Lenovo Thinkpad R400.

Robert Hooker (sarvatt) wrote :

Russel, can you please run the command apport-collect 538648? it will automatically attach all of the logs we need to look into this to the bug.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium
tags: added: flicker

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Thank you for that. Now have you tried booting with i915.powersave=0 added to the kernel command line in grub (after it says quiet splash) to see if it fixes your issue or not? That will help narrowing down the problem.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
description: updated
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Steven McGrath (steve-chigeek) wrote :

I have also been having this issue on a Lenovo S10. I have attempted to resolve by adding in the requested options into the kernel boot however it still persists. Below is a link to a video if the issue. The screen will flicker, blackout, and tear. the video below shows the tearing.

http://www.youtube.com/download_my_video?v=DjgnH9oedY8

Chris Jones (cmsj) wrote :

fwiw I've not noticed any more of these flashes for a few days, although I hadn't set the powersave option.

Jason Smith (jassmith) wrote :

The flashes have been greatly reduced if not eliminated yes.

Russel Winder (russel) wrote :

Anecdotally, there does seem to be less of this flickering now, but I still get it occassionally. I'll see if I can get some actual data and report back.

Jason Smith (jassmith) wrote :

I am confirming I am seeing flickering again as well, sorry for the false alarm

Chris Jones (cmsj) wrote :

Looks like I spoke too soon, it's still happening with all of today's updates and 2.6.32-18-generic

Jorge O. Castro (jorge) wrote :

This appears to have gotten worse for me with today's updates and -18. I used to only see it a few times a week but now it seems to be happening a "few" times a day. Should we try the i915.powersave=0 thing?

Sorry for the anecdotal evidence but I have no idea how to troubleshoot or reproduce this.

Bryce Harrington (bryce) on 2010-04-02
summary: - Problem with X in Lucid on Lenovo T500
+ Irregular sync flashes with compiz on (Lenovo T500)
Bryce Harrington (bryce) on 2010-04-04
tags: added: compiz
Bryce Harrington (bryce) on 2010-04-07
summary: - Irregular sync flashes with compiz on (Lenovo T500)
+ [gm45] Irregular sync flashes with compiz on (Lenovo T500)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Robert Hooker (sarvatt) on 2010-04-11
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Triaged
summary: - [gm45] Irregular sync flashes with compiz on (Lenovo T500)
+ [Intel GM45] Irregular sync flashes (Lenovo T500, Dell Insp. 1545)
description: updated
summary: - [Intel GM45] Irregular sync flashes (Lenovo T500, Dell Insp. 1545)
+ [Intel GM45] Irregular sync flashes on 8086:2a42 (Needs i915.powersave
+ quirk)
Robert Hooker (sarvatt) on 2010-05-17
Changed in linux (Ubuntu):
milestone: none → lucid-updates
status: New → Confirmed
importance: Undecided → Medium
Robert Hooker (sarvatt) on 2010-05-17
Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Invalid
description: updated
73 comments hidden view all 153 comments

Hi,

I tried installing Andy's kernels but the results are not very good. While I get about 2-3 flickers/day normally, the rate gets higher when I try to run a heavy application. If at the same time, I do the powersave thing, the flickers seem to go away.

Can anybody tell me if I am going to run into some loss in terms of hardware (like battery and CPU life time) if I do the powersave thing ? I don't mind using this workaround for the time being, if it doesnt cost me anything !!

I love my computer more than I hate the flickers though!!

Let me know if you need to have any information about my system.

Does this also occur in 2.6.34? I've never seen this on my x200, but I don't discount the possibility of an FBC bug as the lp reports indicate...

Seeing flicker on maverick with ubuntu's mainline 2.6.35rc1 kernel. No flicker with stock maverick.

David Tester (david-g-tester) wrote :

The kernels in #88 have worked perfectly for me, for about a week now. Thanks!

$ lspci -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

ericmc783 (ericmc783) wrote :

+1 confirmed here. Dell Inspiron 1545, 00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07).
Occurs in 10.04. Did not occur in 9.04. I am not interested in using either workaround. My thanks to those whom continue to research this.

ragingmon (ragingmon) wrote :

+1 confirmed.

Asus UL80
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Installed http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/ for touchpad to work on multitap (horizontal scroll) and FN+F9. I didn't try the grub workaround, I feel there is a drawback to it (maybe its just me).

Screen flicker shows up once or twice when fresh from boot, but after that it won't happen for some hours.

Stefan Hammer (j-4) wrote :

Loading the kernel with i915.powersave=0 stops the flickering in my case. Next week I will try the new kernel in post #88.
I have an Intel 4500MHD.

Lake Denman (lake-lakedenman) wrote :

+1 confirmed.

I'm on a Lenovo G550 and adding the i915.powersave=0 appears to have stopped the flickering.

Roman Kuzmik (rkuzmik) wrote :

Andy Whitcroft's test kernel works just fine on Lenovo T500 with Intel Corporation Mobile 4 Series.
thx for that!!! cause with i915.powersave=0 sleep/suspend does not work.

Charles Profitt (cprofitt) wrote :

+1 for me as well... can we expect the fixes with Andy's test Kernel to be included in upcoming updates?

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Alexis de Lattre (alexis-via) wrote :

I have a 8086:2a42 video card and successfully used the i915.powersave=0 option to stop the sync flashes.

I installed Andy Whitcroft's kernel and removed the i915.powersave=0 option yesterday. Everything continue to work fine ; no sync flashes at all.

@Peter : it seems that FBC means FrameBuffer Compression...

Mario (diraimondo) wrote :

What about including the #88 patch in the official kernel of Lucid (or in the proposed repository)? It should not affect the power consuming of the card.

Martin Schraner (schraner) wrote :

Neither installing Andy Whitcroft's test kernel nor the option i915.powersave=0 helped with me (Lenovo Think Pad T400s). To get rid of the annoying flickering, I re-installed Karmic Koala. I hope the bug will be solved at least for the next distribution.

Download full text (4.1 KiB)

same here. neither of the workarounds work for me perfectly. kinda annoying
actually.

On Sat, Jul 3, 2010 at 3:05 PM, Martin Schraner <email address hidden>wrote:

> Neither installing Andy Whitcroft's test kernel nor the option
> i915.powersave=0 helped with me (Lenovo Think Pad T400s). To get rid of
> the annoying flickering, I re-installed Karmic Koala. I hope the bug
> will be solved at least for the next distribution.
>
> --
> [Intel GM45] Irregular sync flashes on 8086:2a42 (Needs i915.powersave
> quirk)
> https://bugs.launchpad.net/bugs/538648
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.org xf86-video-intel: Unknown
> Status in “linux” package in Ubuntu: Triaged
> Status in “xserver-xorg-video-intel” package in Ubuntu: Invalid
>
> Bug description:
> [Workaround 1]
> Install Andy Whitcroft's test kernel from
> http://people.canonical.com/~apw/lp538648-lucid/ (see comment #88).
>
> [Workaround 2]
> As workaround add the option i915.powersave=0 to the kernel command line in
> the grub config (for GRUB 2: edit /etc/default/grub and add
> i915.powersave=0 to GRUB_CMDLINE_LINUX, then run sudo update-grub; for GRUB
> 1: edit /boot/grub/menu.lst and add i915.powersave=0 to the end of the line
> beginning with # kopt=, then run sudo update-grub).
>
> [Report]
> Binary package hint: xserver-xorg
>
> When I first installed Lucid on my T500 I believe everything seemd to be
> fine with the display. Recently though the screen has started giving
> flashes -- as though there was some form of sync problem for the display.
> The flashes are of irregular frequency and occurrence. I haven't yet seen
> any pattern to the behaviour. They are however exceptionally annoying.
>
> I believe I am using the Intel chipset graphics device -- I am not
> actually aware of how to switch to using the alternate graphics hardware,
> but I am told it is not worth bothering with, so I haven't.
>
> I am using the Compiz window manager so I guess the problem could be there
> rather than with Xorg.
>
> There is no xorg.conf file so there is no overide of the default behaviour.
>
> I am not sure what programs to run to give useful output for this problem.
> I have attached the current Xorg log file.
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.04
> DkmsStatus:
> virtualbox-ose, 3.1.4, 2.6.32-17-generic, x86_64: installed
> virtualbox-ose, 3.1.4, 2.6.32-16-generic, x86_64: installed
> virtualbox-ose-guest, 3.1.4, 2.6.32-17-generic, x86_64: installed
> virtualbox-ose-guest, 3.1.4, 2.6.32-16-generic, x86_64: installed
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
> MachineType: LENOVO 20827SG
> Package: xserver-xorg-video-intel 2:2.9.1-1ubuntu16
> PackageArchitecture: amd64
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic
> root=UUID=d075e3b9-f26d-4896-9983-4afe962b115a ro quiet splash
> ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
> Tags: lucid lucid
> Uname: Linux 2.6.32-17-generic x86_64
> UserGroups: adm admin cdrom dialout lpadmin ...

Read more...

Come to think of it, I haven't see the flicker on my x201s for a couple of months...

And the reporters have gone silent. I guess this one is fixed.

Tommy Hoyer (witeshark) wrote :

It may be worth noting that the effect is far easier to see in lower surrounding light levels: in darker room light.

Dahaniel (dm-protzkeule) wrote :

 i915.powersave=0 fixes it on my Lenovo Edge, batterie time seems to get down a lot is this possible?

timo skrempel (timoskrempel) wrote :

powersave=0 works for me too on my T500. Regarding the battery drain: this is totally screwed up because of https://bugs.launchpad.net/ubuntu/+source/linux/+bug/524281 anyhow for me. I get good battery with the modified kernel from there.

Max Jonas Werner (makkes) wrote :

This bug is absolutely annoying and implicitly also a security issue since I'm using apw's kernel mentioned as a workaround, so I'm not able to fetch security updates to the kernel. (workaround no. 2 is not an option since battery life is important to me.)

Is there a good reason for not including the patches from apw's kernel into the official ubuntu kernels to make the flicker disappear?

Dahaniel (dm-protzkeule) wrote :

@Max good question, interestet in this too, nobody is stating if or when this will be included...

Tommy Hoyer (witeshark) wrote :

With the current updates, it seems to occur in pairs, twice in quick succession now.

I just switched to 32 bit ubuntu with pae kernel and the problem persists. I still don't know if the problem is from ubuntu itself or from this repository: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Can anyone confirm this problem happening without this repository?

Thanks.

Narek (narekrostomyan) wrote :

I experiense the same problem on my Asus X5dij laptop, which has also an integreted Intel 4 Series Express Video Card(Intel GMA 4500M) and Intel GL40 Chipset.
My whole screen flickers. It is really unpleasent for my eyes. I can see the horizontal refresh lines. So I've tried to create a xorg.conf and to add a Modeline, as I believed that the problem is due to wrong Horizontal sync value. But I had no success and the problem still exists.
I have also tried the kernel from the Comment #88 and to use i915.powersave=0, but neither solution was successful.
I hope that someone will find a solution to this problem.
Thanks.

I have HP2230s and i915.powersave=0 does not work for me.

nl25 (neverland888) wrote :

I can confirm that this does NOT happen when you 2 displays working simultaneously, e.g. external display attached to HDMI working as primary display and laptop internal display working as secundary (extended) display.

However as soon as you de-attach external display, internal laptop display starts to flickers on random basis. What seems to make flicker more intensive is if you open terminal in full screen (black background color).

Adding i915.powersave=0, solves the issue on my laptop: HP, Intel GMA 4500M, Intel GL40.

Alexis de Lattre (alexis-via) wrote :

Since the last kernel update (version 2.6.32-24.42), I haven't seen any flickers. I DON'T use i915.powersave=0.

I have a Dell Latitude Z600 laptop.
PCI ID : 8086:2a42 (rev 07)
Subsystem: 1028:02c8

Alexis de Lattre (alexis-via) wrote :

Forget what I said in my previous comment ; I just saw my screen flickering :-) But I should say that it's much less frequent than before.

Ricardo Arcos (rarcos) wrote :

Upgraded to Maverick beta and haven't seen any flickers since then.

Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Unknown → Fix Released
description: updated
description: updated
Huygens (huygens-25) wrote :

Weird, I had removed the i915.powersave=0 and for a long time now (maybe a month) I had almost no flickering (could count them on one hand).
However, today is hell. It is flickering every 3-4 minutes or so...
I've check back the history of recently installed software, and I only have Chromium and FF nightly + tzdata + gwibber updated, so all unrelated to the Video system...
Do you know when a fixed version of the video driver will be available for Lucid?

PS: while waiting, I will add again the kernel parameter workaround.

Jan Hama (hamaeker) wrote :

On Dell Latitude E4310 amd64 I have the same problem too
powersave=0 workaround does not work!
kernels 2.6.32.21 or 2.6.32 22 do not have the problem !
kernel 2.6.32.23, 2.6.32.24, 2.6.32.25 have the flicker problem !
so some update from 2.6.32 22 to 2.6.32.23 is probably buggy

Andrew Cowie (afcowie) wrote :

Any chance of getting this fix backported to Lucid? We have a fair number of systems rolled out with this hardware, and trying to explain the grub workaround to ordinary users is painful...

AfC

Chris Jones (cmsj) wrote :

I didn't investigate the exact state of the packages, but I observed an all-Intel Vaio running Maverick yesterday and it was showing the same flicker I saw in Lucid.

Alexis de Lattre (alexis-via) wrote :

I upgraded to Maverick 5 days ago, and I haven't seen any sync flash since then. So I consider that the bug is fixed in Maverick. I have a 8086:2a42 video card on a Dell Latitude Z600.

Russel Winder (russel) wrote :

Can someone summarize the actual real fix (not any workarounds) and/or highlight the changeset to whichever Debian/Ubuntu package to <email address hidden> so that Debian Squeeze can have the problem resolved as well?

Alexis de Lattre (alexis-via) wrote :

@Russel,

You will find an up-to-date summary of the situation at the very beginning of the bug report (your bug report ! :-), in the 3 first paragraphs of the bug description.

description: updated

Alexis,

On Mon, 2010-11-01 at 21:55 +0000, Alexis de Lattre wrote:
> @Russel,
>
> You will find an up-to-date summary of the situation at the very
> beginning of the bug report (your bug report ! :-), in the 3 first
> paragraphs of the bug description.

I think the problem is that when Julien looked at this bug report, it
wasn't clear which kernel version is the one that provides the fix so
that the Debian folk can investigate whether they can issue that kernel
for Squeeze.

> ** Description changed:
>
> [Status]
> Fixed in maverick
> Not fixed in lucid (bug still seen on 2010-09-22 with kernel 2.6.32-25)

Debian Squeeze is still running the 2.6.32-5-amd64 kernel, Maverick is
running 2.6.35-22. Does anyone know which changeset to which kernel
series actually cures the problem? Do we even know whether this is a
2.6.32, 2.6.33, 2.6.34 or 2.6.35 issue?

> [Workaround]
> As workaround add the option i915.powersave=0 to the kernel command line in the grub config (for GRUB 2: edit /etc/default/grub and add i915.powersave=0 to GRUB_CMDLINE_LINUX, then run sudo update-grub; for GRUB 1: edit /boot/grub/menu.lst and add i915.powersave=0 to the end of the line beginning with # kopt=, then run sudo update-grub).
>
> [Alternative workaround for experts]
> - Compile your kernel with Andy Whitcroft's patch from http://people.canonical.com/~apw/lp538648-lucid/ (see comment #88).
> + Compile your kernel with Andy Whitcroft's patch from http://people.canonical.com/~apw/lp538648-lucid/ (see comment #92).

I am not sure this is an option for the Debian folk, they need to run a
kernel from the official series.

Thanks.
--
Russel.
=============================================================================
Dr Russel Winder t: +44 20 7585 2200 voip: sip:<email address hidden>
41 Buckmaster Road m: +44 7770 465 077 xmpp: <email address hidden>
London SW11 1EN, UK w: www.russel.org.uk skype: russel_winder

Does anyone know when those comment numbers shifted? What once was comment #88 (Andy Whitcroft's patch) is now #92, breaking referrals. I filed bug 669722 about this.

Changed in xserver-xorg-video-intel:
importance: Medium → Unknown
status: Fix Released → Confirmed
Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released
Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
summary: - [Intel GM45] Irregular sync flashes on 8086:2a42 (Needs i915.powersave
+ 8086:2a42 [Intel GM45] Irregular sync flashes (Needs i915.powersave
quirk)

Russel Winder, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily kernel folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12-rc2

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Displaying first 40 and last 40 comments. View all 153 comments or add a comment.